package com.huashe.park.common.excel;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * The interface Enable socket server. 自动注册SocketServer
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({
    ElementType.FIELD
})
@Documented
public @interface CsvAlias {
    String alias() default "";

    boolean ignore() default false;
}
