package com.huashe.park.infrastructure.excel;

import org.springframework.stereotype.Service;

import cn.idev.excel.FastExcel;
import cn.idev.excel.read.listener.PageReadListener;

@Service
public class ExcelHandle {
    public <T> void importExcel(String filePath, Class<T> clz, IPageDataConsumer<T> pageDataHandle) {
        // 这里默认每次会读取100条数据 然后返回过来 直接调用使用数据就行
        // 具体需要返回多少行可以在`PageReadListener`的构造函数设置
        FastExcel.read(filePath, clz, new PageReadListener<T>(pageDataHandle::accept, 100)).sheet().doRead();
    }
}
