/*
 * 文 件 名:  IDeviceCallService
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/2/26
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service;

/**
 * 设备调用服务
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/2/26]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface IAbilityCallService {
    /**
     * 设备能力调用
     * @param objCode 设备编码
     * @param abilityKey 能力键
     * @param param 参数
     * @return 返回结果
     */
    String devAbilityCall(String objCode, String abilityKey, String param);

    /**
     * 设施能力调用
     * @param objCode 设备编码
     * @param abilityKey 能力键
     * @param param 参数
     * @return 返回结果
     */
    String facsAbilityCall(String objCode, String abilityKey, String param);
}