/*
 * 文 件 名:  IChargingBillService
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/9/2
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ChargingBill;
import com.ruoyi.ems.model.QueryChargingBill;

import java.util.List;

/**
 * 计费账单服务
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/9/2]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface IChargingBillService {
    /**
     * 查询商户计费账单列表
     *
     * @param queryParam 查询参数
     * @return 返回列表
     */
    List<ChargingBill> selectCoChargingBill(QueryChargingBill queryParam);

    /**
     * 查询计费账单列表by标签
     *
     * @param queryParam 查询参数
     * @return 返回列表
     */
    List<ChargingBill> selectTagChargingBill(QueryChargingBill queryParam);
}