/*
 * 文 件 名:  IPriceService
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/3/10
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service;

import com.ruoyi.ems.model.Price;

import java.util.Date;

/**
 * 价格服务
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/3/10]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface IPriceService {
    /**
     * 获取小时电价
     * @param areaCode 地区编码
     * @param date 日期
     * @return 价格
     */
    Price getElecHourPrice(String areaCode, Date date);
}