/*
 * 文 件 名:  ObjConverter
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  0027008907/lv.wenbin
 * 修改时间:  2020/8/6
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.utils.filter;

/**
 * 对象转换器
 * <功能详细描述>
 *
 * @author 0027008907/lv.wenbin
 * @version [版本号, 2020/8/6]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public abstract interface ObjConverter<S, T> {
    /**
     * 转换器
     *
     * @param source 源对象
     * @return 输出对象
     */
    T convert(S source);
}