package com.huashe.park.core.mapper;

import java.util.List;
import java.util.Map;

import com.huashe.common.annotation.mybatis.IgnoreTenant;
import org.apache.ibatis.annotations.Param;

import com.huashe.common.annotation.DataSource;
import com.huashe.common.enums.DataSourceType;

/**
 * 字典表 数据层
 * 
 * @author ruoyi
 */
@DataSource(DataSourceType.MASTER)
@IgnoreTenant
public interface SysCustDictDataMapper {
    /**
     * 根据条件分页查询字典数据
     * 
     * @param dictData 字典数据信息
     * @return 字典数据集合信息
     */
    public List<Map> selectDictDataList(@Param("dictType") String dictType);

}
