package com.huashe.park.core.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.huashe.park.core.mapper.SysCustDictDataMapper;
import com.huashe.park.core.service.ISysCustDictDataService;

/**
 * 字典 业务层处理
 * 
 * @author ruoyi
 */
@Service
public class SysCustDictDataServiceImpl implements ISysCustDictDataService {
    @Autowired
    private SysCustDictDataMapper dictDataMapper;

    /**
     * 根据条件分页查询字典数据
     * 
     * @param dictData 字典数据信息
     * @return 字典数据集合信息
     */
    @Override
    public List<Map> selectDictDataList(String dictType) {
        return dictDataMapper.selectDictDataList(dictType);
    }
}
