package com.huashe.park.domain.dto.cons;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.huashe.common.annotation.Excel;
import com.huashe.park.domain.entity.ProjectCoordinateInfo;

import lombok.Data;

@Data
public class ConstUnitNode {

    /** 编号 */
    @JsonIgnore
    private Long id;

    @JsonProperty("id")
    private String byteId;

    /** 强夯类型 */
    @Excel(name = "强夯类型")
    private Integer penningType;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 父节点 */
    @Excel(name = "父节点")
    private Long parentId;

    /** 创建类型 */
    @Excel(name = "创建类型")
    private Integer createType;

    /** 设计文件类型 */
    @Excel(name = "设计文件类型")
    private Integer classifyType;

    /** 施工单元名称 */
    @Excel(name = "施工单元名称")
    private String name;

    @JsonIgnore
    private String ancestors;

    private Long projectId;

    private String fileId;

    private List<ConstUnitNode> child;

    private ProjectCoordinateInfo coordinateModel;

}
