/*
 * 文 件 名:  MqttRequest
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/5/6
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.park.domain.dto.cons;

import java.io.Serializable;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 发送请求 <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/5/6]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
@NoArgsConstructor
public class MqttRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    private String topic;

    private String payload;

    private int qos = 0;

    private boolean retained = false;

    private String clientKey;

    private String clientSecret;

    private String handleBean = "RootMsgHandler";

}