package com.ruoyi.ems;

import com.ruoyi.common.security.annotation.EnableCustomConfig;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 能源设备适配器
 *
 * @author ruoyi
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableScheduling
@EnableAsync
@SpringBootApplication(scanBasePackages = { "com.ruoyi.ems","com.ruoyi.system" })
public class EmsDevAdpApplication {
    public static void main(String[] args) {
        // System.setProperty(GrpcConstants.NACOS_SERVER_GRPC_PORT_OFFSET_KEY,"1");
        SpringApplication.run(EmsDevAdpApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  能源设备适配服务启动成功   ლ(´ڡ`ლ)ﾞ  \n"
            + "  _    _                   _          \n"
            + " | |  | |                 | |         \n"
            + " | |__| |_   _  __ _   ___| |__   ___ \n"
            + " |  __  | | | |/ _` | / __| '_ \\ / _ \\\n"
            + " | |  | | |_| | (_| | \\__ \\ | | |  __/\n"
            + " |_|  |_|\\__,_|\\__,_| |___/_| |_|\\___|\n");
    }
}
