package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsObjAbilityCallLog;

import java.util.List;

/**
 * 能源对象能力调用日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public interface EmsObjAbilityCallLogMapper {
    /**
     * 查询能源对象能力调用日志
     *
     * @param id 能源对象能力调用日志主键
     * @return 能源对象能力调用日志
     */
    EmsObjAbilityCallLog selectObjAbilityCallLogById(Long id);

    /**
     * 查询能源对象能力调用日志列表
     *
     * @param objAbilityCallLog 能源对象能力调用日志
     * @return 能源对象能力调用日志集合
     */
    List<EmsObjAbilityCallLog> selectObjAbilityCallLog(EmsObjAbilityCallLog objAbilityCallLog);

    /**
     * 新增能源对象能力调用日志
     *
     * @param objAbilityCallLog 能源对象能力调用日志
     * @return 结果
     */
    int insertObjAbilityCallLog(EmsObjAbilityCallLog objAbilityCallLog);

    /**
     * 修改能源对象能力调用日志
     *
     * @param objAbilityCallLog 能源对象能力调用日志
     * @return 结果
     */
    int updateObjAbilityCallLog(EmsObjAbilityCallLog objAbilityCallLog);
}
